import Vue from 'vue'
import store from './store'
import App from './App'
import './services/index.js'
import * as Api from '@/common/config/caimeiApi.js'
import * as Regs from '@/common/config/common.js'
import { msg, modal,json,prePage } from'./utils/util'
// import '@/common/utils/module.js'
import Json from './json' //本地数据
import cuCustom from './components/cm-custom/cu-custom.vue'
import auCustom from './components/cm-custom/au-custom.vue'
import cmCustom from './components/cm-custom/cm-custom.vue'
import customCeller from './components/cm-custom/custom-seller.vue'
import scrollTop from '@/components/cm-module/scrollTop/scrollTop.vue'
Vue.component('cu-custom',cuCustom)
Vue.component('au-custom',auCustom)
Vue.component('cm-custom',cmCustom)
Vue.component('custom-seller',customCeller)
Vue.component('scroll-top',scrollTop)

Vue.prototype.$getStorage = function(key){
	var userParam = uni.getStorageSync(key);
	if (userParam != null && userParam != "" && userParam!= undefined) {
		return userParam;
	}else{
		return null;
	} 
}
Vue.config.productionTip = false
Vue.prototype.$fire = new Vue();
Vue.prototype.$store = store;
Vue.prototype.$util = {msg, json, prePage,modal};
Vue.prototype.$api = Api;
Vue.prototype.$reg = Regs;





App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()